import * as React from 'react';
import { ChangeLanguage, ITranslations, Translate, TranslateAndParse } from './types';
interface ILocalizerContext<TLanguage> {
    language: TLanguage;
    translations: ITranslations;
    changeLanguage: ChangeLanguage;
    performTranslation: Translate;
    performTranslationAndParse: TranslateAndParse;
}
declare const LocaleContext: React.Context<ILocalizerContext<any>>;
export { LocaleContext, ILocalizerContext };
