import * as React from 'react';
import { RedirectProps as IRedirectProps } from 'react-router-dom';
import { ILocalizedRouteProps } from './LocalizedRoute';
declare type Route = ILocalizedRouteProps | IRedirectProps | {
    routes: Route[];
};
interface IProps {
    applySwitch?: boolean;
    localize?: boolean;
    routes: Route[];
}
declare const LocalizedRoutes: React.FunctionComponent<IProps>;
export { LocalizedRoutes, Route };
