/// <reference types="react" />
declare type Translate = (id: string, vars?: {
    [field: string]: string | number;
}) => string;
declare type TranslateAndParse = (id: string, vars?: {
    [field: string]: string | number;
}) => React.ReactNode;
declare type ChangeLanguage = (language: string) => void;
interface ITranslations {
    [field: string]: any;
}
export { Translate, TranslateAndParse, ITranslations, ChangeLanguage };
