"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LanguageSwitcher = void 0;
var React = require("react");
var LocaleContext_1 = require("./LocaleContext");
var LanguageSwitcher = function (props) {
    var onClick = props.onClick, children = props.children;
    var handleClick = function (changeLanguage) {
        onClick(changeLanguage);
    };
    return (React.createElement(LocaleContext_1.LocaleContext.Consumer, null, function (_a) {
        var changeLanguage = _a.changeLanguage;
        return (React.createElement("div", { style: { display: 'flex' } },
            React.createElement("button", { type: "button", onClick: function () { return handleClick(changeLanguage); }, style: {
                    border: 0,
                    outline: 0,
                    appearance: 'none',
                    background: 'transparent',
                    color: 'inherit',
                } }, children)));
    }));
};
exports.LanguageSwitcher = LanguageSwitcher;
