import { Translate, TranslateAndParse } from './types';
interface IUseTranslate<TLanguage> {
    language: TLanguage;
    translate: Translate;
    translateAndParse: TranslateAndParse;
    changeLanguage: (language: string) => void;
}
declare const useTranslate: <TLanguage = string>() => IUseTranslate<TLanguage>;
export { useTranslate };
