"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useTranslate = void 0;
var React = require("react");
var LocaleContext_1 = require("./LocaleContext");
var useContext = React.useContext;
var useTranslate = function () {
    var _a = useContext(LocaleContext_1.LocaleContext), language = _a.language, changeLanguage = _a.changeLanguage, performTranslation = _a.performTranslation, performTranslationAndParse = _a.performTranslationAndParse;
    return {
        language: language,
        changeLanguage: changeLanguage,
        translate: performTranslation,
        translateAndParse: performTranslationAndParse,
    };
};
exports.useTranslate = useTranslate;
